public static final class CustomAPISettings.Builder extends GeneratedMessage.Builder<CustomAPISettings.Builder> implements CustomAPISettingsOrBuilderSettings required by Feeds of Custom API (Codeless). Supports fetching data from third-party APIs with configurable pagination, authentication, and response parsing.
Protobuf type google.cloud.chronicle.v1.CustomAPISettings
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > CustomAPISettings.BuilderImplements
CustomAPISettingsOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public CustomAPISettings build()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings |
|
buildPartial()
public CustomAPISettings buildPartial()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings |
|
clear()
public CustomAPISettings.Builder clear()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearAuthentication()
public CustomAPISettings.Builder clearAuthentication()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearBaseUrl()
public CustomAPISettings.Builder clearBaseUrl()Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
This builder for chaining. |
clearBasicAuth()
public CustomAPISettings.Builder clearBasicAuth()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearHeaderAuth()
public CustomAPISettings.Builder clearHeaderAuth()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearNoAuth()
public CustomAPISettings.Builder clearNoAuth()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearOauthClientCredentials()
public CustomAPISettings.Builder clearOauthClientCredentials()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearPollingFrequency()
public CustomAPISettings.Builder clearPollingFrequency()Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
int32 polling_frequency = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
This builder for chaining. |
clearPrimaryRequest()
public CustomAPISettings.Builder clearPrimaryRequest()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
clearQueryAuth()
public CustomAPISettings.Builder clearQueryAuth()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
getAuthenticationCase()
public CustomAPISettings.AuthenticationCase getAuthenticationCase()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.AuthenticationCase |
|
getBaseUrl()
public String getBaseUrl()Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The baseUrl. |
getBaseUrlBytes()
public ByteString getBaseUrlBytes()Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for baseUrl. |
getBasicAuth()
public UsernameSecretAuth getBasicAuth()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
UsernameSecretAuth |
The basicAuth. |
getBasicAuthBuilder()
public UsernameSecretAuth.Builder getBasicAuthBuilder()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
UsernameSecretAuth.Builder |
|
getBasicAuthOrBuilder()
public UsernameSecretAuthOrBuilder getBasicAuthOrBuilder()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
UsernameSecretAuthOrBuilder |
|
getDefaultInstanceForType()
public CustomAPISettings getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getHeaderAuth()
public CustomAPIHeaderAuth getHeaderAuth()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPIHeaderAuth |
The headerAuth. |
getHeaderAuthBuilder()
public CustomAPIHeaderAuth.Builder getHeaderAuthBuilder()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPIHeaderAuth.Builder |
|
getHeaderAuthOrBuilder()
public CustomAPIHeaderAuthOrBuilder getHeaderAuthOrBuilder()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPIHeaderAuthOrBuilder |
|
getNoAuth()
public CustomAPINoAuth getNoAuth()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPINoAuth |
The noAuth. |
getNoAuthBuilder()
public CustomAPINoAuth.Builder getNoAuthBuilder()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPINoAuth.Builder |
|
getNoAuthOrBuilder()
public CustomAPINoAuthOrBuilder getNoAuthOrBuilder()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPINoAuthOrBuilder |
|
getOauthClientCredentials()
public OAuthClientCredentials getOauthClientCredentials()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
OAuthClientCredentials |
The oauthClientCredentials. |
getOauthClientCredentialsBuilder()
public OAuthClientCredentials.Builder getOauthClientCredentialsBuilder()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
OAuthClientCredentials.Builder |
|
getOauthClientCredentialsOrBuilder()
public OAuthClientCredentialsOrBuilder getOauthClientCredentialsOrBuilder()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
OAuthClientCredentialsOrBuilder |
|
getPollingFrequency()
public int getPollingFrequency()Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
int32 polling_frequency = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
The pollingFrequency. |
getPrimaryRequest()
public CustomAPITransferNode getPrimaryRequest()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPITransferNode |
The primaryRequest. |
getPrimaryRequestBuilder()
public CustomAPITransferNode.Builder getPrimaryRequestBuilder()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPITransferNode.Builder |
|
getPrimaryRequestOrBuilder()
public CustomAPITransferNodeOrBuilder getPrimaryRequestOrBuilder()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPITransferNodeOrBuilder |
|
getQueryAuth()
public CustomAPIQueryAuth getQueryAuth()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
The queryAuth. |
getQueryAuthBuilder()
public CustomAPIQueryAuth.Builder getQueryAuthBuilder()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
getQueryAuthOrBuilder()
public CustomAPIQueryAuthOrBuilder getQueryAuthOrBuilder()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuthOrBuilder |
|
hasBasicAuth()
public boolean hasBasicAuth()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the basicAuth field is set. |
hasHeaderAuth()
public boolean hasHeaderAuth()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the headerAuth field is set. |
hasNoAuth()
public boolean hasNoAuth()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the noAuth field is set. |
hasOauthClientCredentials()
public boolean hasOauthClientCredentials()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the oauthClientCredentials field is set. |
hasPrimaryRequest()
public boolean hasPrimaryRequest()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the primaryRequest field is set. |
hasQueryAuth()
public boolean hasQueryAuth()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the queryAuth field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeBasicAuth(UsernameSecretAuth value)
public CustomAPISettings.Builder mergeBasicAuth(UsernameSecretAuth value)Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
UsernameSecretAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeFrom(CustomAPISettings other)
public CustomAPISettings.Builder mergeFrom(CustomAPISettings other)| Parameter | |
|---|---|
| Name | Description |
other |
CustomAPISettings |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public CustomAPISettings.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public CustomAPISettings.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeHeaderAuth(CustomAPIHeaderAuth value)
public CustomAPISettings.Builder mergeHeaderAuth(CustomAPIHeaderAuth value)Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPIHeaderAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeNoAuth(CustomAPINoAuth value)
public CustomAPISettings.Builder mergeNoAuth(CustomAPINoAuth value)Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPINoAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeOauthClientCredentials(OAuthClientCredentials value)
public CustomAPISettings.Builder mergeOauthClientCredentials(OAuthClientCredentials value)Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
OAuthClientCredentials |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergePrimaryRequest(CustomAPITransferNode value)
public CustomAPISettings.Builder mergePrimaryRequest(CustomAPITransferNode value)Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPITransferNode |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
mergeQueryAuth(CustomAPIQueryAuth value)
public CustomAPISettings.Builder mergeQueryAuth(CustomAPIQueryAuth value)Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPIQueryAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setBaseUrl(String value)
public CustomAPISettings.Builder setBaseUrl(String value)Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe baseUrl to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
This builder for chaining. |
setBaseUrlBytes(ByteString value)
public CustomAPISettings.Builder setBaseUrlBytes(ByteString value)Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for baseUrl to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
This builder for chaining. |
setBasicAuth(UsernameSecretAuth value)
public CustomAPISettings.Builder setBasicAuth(UsernameSecretAuth value)Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
UsernameSecretAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setBasicAuth(UsernameSecretAuth.Builder builderForValue)
public CustomAPISettings.Builder setBasicAuth(UsernameSecretAuth.Builder builderForValue)Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
UsernameSecretAuth.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setHeaderAuth(CustomAPIHeaderAuth value)
public CustomAPISettings.Builder setHeaderAuth(CustomAPIHeaderAuth value)Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPIHeaderAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setHeaderAuth(CustomAPIHeaderAuth.Builder builderForValue)
public CustomAPISettings.Builder setHeaderAuth(CustomAPIHeaderAuth.Builder builderForValue)Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
CustomAPIHeaderAuth.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setNoAuth(CustomAPINoAuth value)
public CustomAPISettings.Builder setNoAuth(CustomAPINoAuth value)Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPINoAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setNoAuth(CustomAPINoAuth.Builder builderForValue)
public CustomAPISettings.Builder setNoAuth(CustomAPINoAuth.Builder builderForValue)Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
CustomAPINoAuth.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setOauthClientCredentials(OAuthClientCredentials value)
public CustomAPISettings.Builder setOauthClientCredentials(OAuthClientCredentials value)Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
OAuthClientCredentials |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setOauthClientCredentials(OAuthClientCredentials.Builder builderForValue)
public CustomAPISettings.Builder setOauthClientCredentials(OAuthClientCredentials.Builder builderForValue)Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
OAuthClientCredentials.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setPollingFrequency(int value)
public CustomAPISettings.Builder setPollingFrequency(int value)Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
int32 polling_frequency = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
intThe pollingFrequency to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
This builder for chaining. |
setPrimaryRequest(CustomAPITransferNode value)
public CustomAPISettings.Builder setPrimaryRequest(CustomAPITransferNode value)Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPITransferNode |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setPrimaryRequest(CustomAPITransferNode.Builder builderForValue)
public CustomAPISettings.Builder setPrimaryRequest(CustomAPITransferNode.Builder builderForValue)Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
CustomAPITransferNode.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setQueryAuth(CustomAPIQueryAuth value)
public CustomAPISettings.Builder setQueryAuth(CustomAPIQueryAuth value)Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Parameter | |
|---|---|
| Name | Description |
value |
CustomAPIQueryAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|
setQueryAuth(CustomAPIQueryAuth.Builder builderForValue)
public CustomAPISettings.Builder setQueryAuth(CustomAPIQueryAuth.Builder builderForValue)Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
CustomAPIQueryAuth.Builder |
| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.Builder |
|